Package com.xebialabs.deployit.plugin.api.deployment.specification

## Enum Operation

- java.lang.Object
- - java.lang.Enum<Operation>
  - - com.xebialabs.deployit.plugin.api.deployment.specification.Operation

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Operation>`

      public enum Operation
      extends java.lang.Enum<Operation>

  The operation that is being performed on the DeployedApplication or on a single Delta object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CREATE` |
    `DESTROY` |
    `MODIFY` |
    `NOOP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Operation` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Operation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final Operation CREATE

    - #### DESTROY

          public static final Operation DESTROY

    - #### MODIFY

          public static final Operation MODIFY

    - #### NOOP

          public static final Operation NOOP

  - ### Method Detail

    - #### values

          public static Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operation c : Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operation valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null